> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/june5-3.7/en/webanwendung/einstellungen.md).

# Settings

The web application includes two types of settings:

* Runtime Settings

oLanguage

oColor Scheme

* System Settings

oTime Ranges

oReal-Time Diagram

oOffline Manual Value Entry

oShifts for Reports

oEvent Table Column Labels

oViews Standard Parameters

oMigration

Runtime settings are stored in browser cookies. If the browser cache is cleared, the default values for the runtime setting are set again.

System settings are stored permanently in the System.Settings.xml file. This file is located in the directory: C:\ProgramData\VIDEC\JUNE5\Configuration. JUNE5 reads the pre-configured settings from this file and then makes them available for modification in the web application.

## Adjust Settings

The settings can be accessed via the gear icon in the menu on the right side of the screen.

Changes to settings take effect by pressing the button with the disk icon.

### Language

The web application can be operated in multiple languages. English and German are pre-installed. The default setting for this is taken from the currently set browser language.

### Color Scheme

The web application can be displayed in four color schemes. The default is standard colors (white, gray, red).

### Time Ranges

For each aggregation level, multiple time ranges can be predefined. For each time range, three parameters must be set: duration, offset, and start time. Duration and offset are relative to the set start time within the corresponding database. The offset can be positive or negative, where a positive offset shifts the time range into the past and a negative offset shifts the time range into the future.

#### Example 1:

| Aggregation Level | *Process Data*                                                    |
| ----------------- | ----------------------------------------------------------------- |
| Duration          | *1 Hour*                                                          |
| Offset            | *0 Hours*                                                         |
| Start Time        | *Hours*                                                           |
| Result            | *Process data for a duration of one hour within the current hour* |

#### Example 2:

| Aggregation Level | Process Data                                                         |
| ----------------- | -------------------------------------------------------------------- |
| Duration          | 1 Hour                                                               |
| Offset            | 0 Hours                                                              |
| Start Time        | Minutes                                                              |
| Result            | Process data for a duration of one hour back from the current minute |

The set time ranges are listed in the Views area in the dropdown list field for database.

{% hint style="info" %}
The time units to be entered at start time are rounded to the full time interval in the views. For example, if a time range with a duration of one hour and a start time of hours is called up at 10:30, the time range 10 - 11 is displayed.
{% endhint %}

### Diagram

#### Real-Time Diagram

For the real-time diagram in the Views area, a default value can be set for the time span. Values between one and 1443 minutes can be set. The default is four minutes.

#### Automatic Transparency of Pens

When hovering over a pen (series) with the mouse, all other pens automatically become transparent. This can be turned on or off via the function "Automatic transparency of pens".

### Offline Manual Value Entry

Here you can configure the caching of manual value sizes. By activating the corresponding checkbox, access to the Offline Manual Value Entry view is enabled. Furthermore, manual value sizes are cached or updated in the browser cache after each login. This setting is disabled by default.

This setting can be configured by the administrator in *Single-Tenant Operation Mode* and by the system administrator in *Multi-Tenant Operation Mode*.

For immediate (one-time) caching, simply press the button: *Cache Now*.

### Shifts for Reports

For use of JUNE5 in environments where work is done in shifts, up to four shift times can be predefined.

### Event Table Column Labels

The column names of the event tables can be edited for German and English languages. The specified column names are used for all event tables. The following table shows the standard names of the columns of the event tables.

| Field Name      | Name (DE)         | Name (EN)        |
| --------------- | ----------------- | ---------------- |
| DataSourceType  | Datenquellentyp   | Datasource-Type  |
| DataSourceId    | Datenquellen-ID   | Datasource-ID    |
| AlarmEventType  | Typ               | Type             |
| TimestampFrom   | Von               | From             |
| TimestampTo     | Bis               | To               |
| TimestampAck    | Quittiert         | Acknowledged     |
| NameSpace       | Namensraum        | Namespace        |
| ItemId          | Item-Id           | Item Id          |
| ItemName        | Item-Name         | Item Name        |
| ItemDescription | Item-Beschreibung | Item Description |
| Priority        | Priorität         | Priority         |
| Status          | Status            | Status           |
| Value           | Wert              | Value            |
| ValueBar        | Wert(Bar)         | Value (bar)      |
| Category        | Kategorie         | Category         |
| UserName        | Benutzername      | User Name        |
| Class           | Klasse            | Class            |
| Label           | Beschriftung      | Label            |

### Views Standard Parameters

#### Name Format:

Defines the format in which object names are displayed by default.

#### List Type:

Defines whether the list view is displayed by default as a list or as a tree.

#### Number of List Entries:

Defines the default number of list entries.

#### Timestamp Normalization:

Normalizes the timestamp of all data sources (except JUNE5 Connector) to interval start, middle, or end.

{% hint style="info" %}
If values are positioned at the end of a time interval (Interval-End), they are assigned by default to the 28th calendar day of the respective month. This procedure ensures that the reference day exists in all months and the temporal distribution of values on the axis remains consistent.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/june5-3.7/en/webanwendung/einstellungen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
